Bug 70804 - redhat-config-samba unable to share root dir
redhat-config-samba unable to share root dir
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-samba (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
Depends On:
Blocks: 67217 79578
  Show dependency treegraph
Reported: 2002-08-05 12:26 EDT by Pavel
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-09 08:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel 2002-08-05 12:26:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
In new Samba share dialog, if you enter / as directory name and click OK,
nothing happens and following traceback is printed
Traceback (most recent call last):
  File "/usr/share/redhat-config-samba/shareWindow.py", line 116, in
    dir = tokens[len(tokens)-1]
UnboundLocalError: local variable 'tokens' referenced before assignment

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run redhat-config-samba
2.Click "new" button
3.Enter / in a directory name field
4.Click OK

Actual Results:  Nothing happens

Expected Results:  Accept new share

Additional info:

Problem does not occur when changing directory of existing share to /.
Comment 1 Brent Fox 2002-08-06 22:04:46 EDT
Should be fixed in redhat-config-samba-0.9.9-1.

QA, please verify.
Comment 2 Jay Turner 2002-09-03 09:24:19 EDT
Deferring as redhat-config-samba wasn't quite baked enough for the Milan
Comment 3 Brent Fox 2002-12-10 11:38:32 EST
Please test with redhat-config-samba-1.0.0-1.
Comment 4 Jay Turner 2003-01-09 08:47:27 EST
Fix confirmed with redhat-config-samba-1.0.0-5.

Note You need to log in before you can comment on or make changes to this bug.